function CleanUI_InitRaidBuffStatus()
    if (not CleanUI_RaidBuffStatusInstalled()) then
        return;
    end
    
    -- Hautframe
    tinsert(UISpecialFrames, "RBSFrame");
    
    CleanUI_RemoveTextures(RBSFrame);
    CleanUI_SetBackdrop(RBSFrame);
    
    CleanUI_ChangeButton(RBSFrameScanButton);
    
    CleanUI_ChangeButton(RBSFrameBossButton);
    CleanUI_ChangeButton(RBSFrameTrashButton);
    CleanUI_ChangeButton(RBSFrameReadyCheckButton);
    CleanUI_ChangeButton(RBSFramePullButton);

    CleanUI_CreateHeaderFrame(RBSFrame, "CUI_RBSFrameHeaderBorderframe", 85, RBSFrameTitle);
    
    -- Talente
    tinsert(UISpecialFrames, "RBSTalentsFrame");
    
    CleanUI_RemoveTextures(RBSTalentsFrame);
    CleanUI_SetBackdrop(RBSTalentsFrame);

    CleanUI_CreateHeaderFrame(RBSTalentsFrame, "CUI_RBSTalentsFrameHeaderBorderframe", 375, RBSTalentsFrameTitle);
      
    CleanUI_ChangeButton(CleanUI_GetChildOfTypeAtPos(RBSTalentsFrame, "Button", 1));
    CleanUI_ChangeButton(CleanUI_GetChildOfTypeAtPos(RBSTalentsFrame, "Button", 2));
    CleanUI_ChangeButton(CleanUI_GetChildOfTypeAtPos(RBSTalentsFrame, "Button", 3));
    CleanUI_ChangeButton(CleanUI_GetChildOfTypeAtPos(RBSTalentsFrame, "Button", 4));
    CleanUI_ChangeButton(CleanUI_GetChildOfTypeAtPos(RBSTalentsFrame, "Button", 5));
     
    CleanUI_ChangeButton(CleanUI_GetChildOfTypeAtPos(RBSTalentsFrame, "Button", 6));
    CleanUI_ChangeButton(RBSTalentsFrameButton);
    
    -- Options
    tinsert(UISpecialFrames, "RBSOptionsFrame");
    
    CleanUI_RemoveTextures(RBSOptionsFrame);
    CleanUI_SetBackdrop(RBSOptionsFrame);
    
    CleanUI_CreateHeaderFrame(RBSOptionsFrame, "CUI_RBSOptionsFrameHeaderBorderframe", 300, RBSOptionsFrameTitle);
    
    CleanUI_ChangeButton(CleanUI_GetChildOfTypeAtPos(RBSOptionsFrame, "Button", 1));

    CleanUI_ChangeButton(RBSOptionsFrameButton);
end

function CleanUI_ToggleSkada()
    if (SkadaBarWindowSkada:IsShown()) then
        SkadaBarWindowSkada:Hide();
    else
        SkadaBarWindowSkada:Show();
    end
end

function CleanUI_RaidBuffStatusInstalled()
    if (RBSFrame) then
        return true;
    end

    return false;
end
