function CleanUI_InitSkada()
    if (not CleanUI_SkadaInstalled()) then
        return;
    end

    CleanUI_RemoveTextures(SkadaBarWindowSkada);
    CleanUI_SetBackdrop(SkadaBarWindowSkada, true, false, nil, nil, 2, -2, -2, 2);

    Recount_MainWindow:SetClampedToScreen(true);
end

function CleanUI_ToggleSkada()
    if (SkadaBarWindowSkada:IsShown()) then
        SkadaBarWindowSkada:Hide();
    else
        SkadaBarWindowSkada:Show();
    end
end

function CleanUI_SkadaInstalled()
    if (SkadaBarWindowSkada) then
        return true;
    end

    return false;
end
