function CleanUI_InitAddonList()
    CleanUI_AddonListHookEvents();
    CleanUI_RegisterAddonListEvents();

    -- AddonList stylen
    CleanUI_CleanAddonListFrame();
end

function CleanUI_RegisterAddonListEvents()
    local frame = CreateFrame("Frame");

    frame:RegisterEvent("ADDON_LOADED");

    frame:HookScript("OnEvent", CleanUI_AddonListOnEvent);
end

function CleanUI_AddonListOnEvent(self, event, ...)
    if (event == "ADDON_LOADED") then
        local addonName = ...;
    --if ( addonName == "" ) then
    --end
    end
end

function CleanUI_AddonListHookEvents()
end

function CleanUI_CleanAddonListFrame()
    CleanUI_RemoveTextures(AddonList);
    CleanUI_RemoveTextures(AddonListInset);
    CleanUI_SetBackdrop(AddonList);

    CleanUI_ChangeCloseButton(AddonList);
    CleanUI_CreateHeaderFrame(AddonList, "CUI_AddonListHeaderBorderframe", 250, AddonListTitleText);

    AddonListScrollFrameScrollBarTop:Hide();
    AddonListScrollFrameScrollBarMiddle:Hide();
    AddonListScrollFrameScrollBarBottom:Hide();

    CleanUI_ChangeDropDown(AddonCharacterDropDown);

    CleanUI_ChangeButton(AddonListEnableAllButton);
    CleanUI_ChangeButton(AddonListDisableAllButton);
    CleanUI_ChangeButton(AddonListOkayButton);
    CleanUI_ChangeButton(AddonListCancelButton);
end
